Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Server/Output/ValueObjectVisitor/ContentList.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor;
8
9 use eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor;
10 use eZ\Publish\Core\REST\Common\Output\Generator;
11 use eZ\Publish\Core\REST\Common\Output\Visitor;
12
16 class ContentList extends ValueObjectVisitor
17 {
25 public function visit(Visitor $visitor, Generator $generator, $data)
26 {
27 $generator->startObjectElement('ContentList');
28 $visitor->setHeader('Content-Type', $generator->getMediaType('ContentList'));
29 //@todo Needs refactoring, disabling certain headers should not be done this way
30 $visitor->setHeader('Accept-Patch', false);
31
32 $generator->startAttribute(
33 'href',
34 $this->router->generate('ezpublish_rest_redirectContent')
35 );
36 $generator->endAttribute('href');
37
38 if (isset($data->totalCount)) {
39 $generator->startAttribute('totalCount', $data->totalCount);
40 $generator->endAttribute('totalCount');
41 }
42
43 $generator->startList('ContentInfo');
44 foreach ($data->contents as $content) {
45 $visitor->visitValueObject($content);
46 }
47 $generator->endList('ContentInfo');
48
49 $generator->endObjectElement('ContentList');
50 }
51 }
eZ\Publish\Core\REST\Common\Output\Generator
Output generator.
Definition: REST/Common/Output/Generator.php:13
eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
Basic ValueObjectVisitor.
Definition: ValueObjectVisitor.php:18
eZ\Publish\Core\REST\Common\Output\Visitor
Visits a value object into an HTTP Response.
Definition: Visitor.php:15
eZ\Publish\Core\REST\Common\Output\Visitor\visitValueObject
visitValueObject($data)
Visit struct returned by controllers.
Definition: Visitor.php:131
eZ\Publish\Core\REST\Common\Output\Visitor\setHeader
setHeader($name, $value)
Set HTTP response header.
Definition: Visitor.php:64
eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentList
ContentList value object visitor.
Definition: Server/Output/ValueObjectVisitor/ContentList.php:17
eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentList\visit
visit(Visitor $visitor, Generator $generator, $data)
Visit struct returned by controllers.
Definition: Server/Output/ValueObjectVisitor/ContentList.php:25
eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
Definition: Common/Output/ValueObjectVisitor/ContentObjectStates.php:7
eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor
Definition: Output/ValueObjectVisitor/BadRequestException.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.